PATCH /v1/service-accounts/{id}
Update a service account's name, description, and permissions
PATCH
/v1/service-accounts/{id}
Update a service account's name, description, and permissions
Path Parameters
id
string
required
path
Service account ID
Request Body required
Service account updates
application/jsonOne of:
Option 1
Option 2
description
string
name
string
REQUIRED
permissions
string[]
REQUIRED
Array of:
Responses
200
OK
application/jsoncode
integer
data
object
createdAt
string
createdBy
string
description
string
disabledAt
string
id
string
name
string
organizationId
string
permissions
string[]
Array of:
status
string
Enum:
active, disabledupdatedAt
string
message
string
requestId
string
400
Bad Request
curl -X PATCH 'https://api.example.com/v1/service-accounts/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/service-accounts/string', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.example.com/v1/service-accounts/string', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PATCH", "https://api.example.com/v1/service-accounts/string", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "createdAt": "<string>", "createdBy": "<string>", "description": "<string>", "disabledAt": "<string>", "id": "<string>", "name": "<string>", "organizationId": "<string>", "permissions": [ "org:read" ], "status": "active", "updatedAt": "<string>" }, "message": "success", "requestId": "req_123"}
API Playground
Try this endpoint
PATCH
/v1/service-accounts/{id}
